## Integration

### Ilias 9

Here are my steps to integrate the AAI login into Ilias.
It works without any hack.

#### Custimize Login page

Edit the Login page using the rich text editor. Keep in mind that it filters html tags like

* `<script>`
* `<noscript>`
* `<style>`

But you can set a link with html.

```html
<div class="ilStartupSection">
    <div class="form-horizontal">
        <h2>AAI Login</h2>
        <p>
            [Your introduction text]<br>
            <br>
            <a href="/login_aai/" class="btn btn-default">AAI Login</a>
        </p>
    </div>
</div>
```

#### Configure AAI Logon script

Extract the AAI logon source in the webroot of your Ilias installation.
It is next to login.php from Ilias:

```text
# ls -1d *log*
login.php
login_aai       <<<
logout.php
shib_login.php
shib_logout.php

```

In the ./login_aai/**config.php** 

* set a return url to shib_login.php `'return-url' => '/shib_login.php',`
* set your IDPs that you want to enable for selection `'idps' => [...],`
* Customize the look and feel. See page Configuration
